Subject: Re: bug#76445: 31.0.50; `eww' makes display property sticky

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Feb 2025 10:32:18 +0200

> From: Manuel Giraud <[email-masked]>
> Date: Thu, 20 Feb 2025 20:01:04 +0100
> 
> Here is a recipe that makes characters typed into a bug report
> invisible.
> 
>    - emacs -Q
>    - M-x eww <RET> gnu.org <RET>
>    - M-x report-emacs-bug <RET> foo <RET>
> 
> Now in the message buffer for the report, any character you type won't
> appear.  A previous discussion with Eli on help-gnu-emacs shows that
> this comes from an incorrect value of `text-property-default-nonsticky'.

Could you see if making this part in eww-mode:

  (setq text-property-default-nonsticky '((face . t) (eww-form . t)
                                          (field . t))))

set only the buffer-local value of text-property-default-nonsticky
solves the problem without any regressions in eww-mode itself?

Stefan, does it make sense to have this variable _not_ be buffer-local
when set?